3 ارسال در این موضوع قرار دارد

سلام دوستان

یه قالب دارم با php 5.6 سازگاری داره وقتی میخوام ارتقاع بدم به php 7 قالب از کار می افته!

لطفا راهنمایی کنید چطور فایل های قالب رو به php 7 سازگار کنم؟

سایتی هست انلاین انجام بده یا چک کنه ؟؟ یا چطور دستی انجام بدم؟

 

ممنون

به اشتراک گذاری این ارسال


لینک به ارسال
به اشتراک گذاری در سایت های دیگر

سلام

فکر می کنید از قالب هستش؟ بعد از تغییر نسخه بخش مدیریت وردپرس بالا میاد؟ 

همچنین امکان داره این ناسازگاری از پلاگین هایی هم که نصب کرده اید باشه پیشنهاد می کنم اوناروغیرفعال کرده و بعد تست کنید

 

به اشتراک گذاری این ارسال


لینک به ارسال
به اشتراک گذاری در سایت های دیگر

درود

در نسخه های مختلف php برخی توابع تغییر می کنند. قالب ها با کدها و توابع از پیش تعریف شده ای نوشته میشن که برای اجرای صحیح قالب ، تمامی توابع باید توسط php اجرا بشن

 

حالا ممکنه در قالبتون از تابعی استفاده شده باشه که در php 7 منقضی شده باشه و نیاز به اصلاح کدهای قالب باشه.

دیباگ وردپرس رو فعال کنید و سایت رو چک کنید که کدوم قسمت از قالب مشکل داره.

بعد به اون فایل و خط ذکر شده مراجعه کنید و با گوگل بگردید تا توابع جایگزین رو پیدا کنید.

به اشتراک گذاری این ارسال


لینک به ارسال
به اشتراک گذاری در سایت های دیگر

برای ارسال دیدگاه یک حساب کاربری ایجاد کنید یا وارد حساب خود شوید

برای اینکه بتوانید دیدگاهی ارسال کنید نیاز دارید که کاربر سایت شوید

ایجاد یک حساب کاربری

برای حساب کاربری جدید در سایت ما ثبت نام کنید. عضویت خیلی ساده است !


ثبت نام یک حساب کاربری جدید

ورود به حساب کاربری

دارای حساب کاربری هستید؟ از اینجا وارد شوید


ورود به حساب کاربری

  • چه کسانی در حال بازدید هستند؟   0 کاربر

    هیچ کاربر عضوی،در حال مشاهده این صفحه نیست.